NotificationsManager (Social Portal ASL Extension 0.1.2-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.applicationsupportlayer.social
Interface NotificationsManager

All Known Implementing Classes:
  ApplicationNotificationsManager

    public interface NotificationsManager

Author:
  Massimiliano Assante, ISTI-CNR

Method Summary
`boolean` | `notifyAddedItem(String userIdToNotify, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceItem item, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder)` use to notify a user he got a workspace item new in some of his workspace shared folder
`boolean` | `notifyCommentReply(String userIdToNotify, String feedid, String feedText)` use to notify a user that commented on a post (Not his) that someone commented too
`boolean` | `notifyDocumentWorkflowFirstStepRequest(String userIdToNotify, String documentWorkflowId, String documentName, String assignedRole)` use to notify a document workflow user that a new Document Workflow was created and he is involved in the first step and he is requested to do a task
`boolean` | `notifyDocumentWorkflowStepForwardComplete(String userIdToNotify, String documentWorkflowId, String documentName, String fromStepName, String toStepName)` use to notify a document workflow owner that someone forwarded and the workflow moved to another step a document worflow he created
`boolean` | `notifyDocumentWorkflowTaskRequest(String userIdToNotify, String documentWorkflowId, String documentName, String assignedRole)` use to notify a document workflow user (user that in the same document workflow) that he is requested to do a task
`boolean` | `notifyDocumentWorkflowUpdate(String userIdToNotify, String documentWorkflowId, String documentName)` use to notify a document workflow owner that someone has updated a document involved in a worflow he created
`boolean` | `notifyDocumentWorkflowUserForward(String userIdToNotify, String documentWorkflowId, String documentName, String fromStepName, String toStepName)` use to notify a document workflow owner that a user performed a forward action to another step a document worflow he created
`boolean` | `notifyDocumentWorkflowView(String userIdToNotify, String documentWorkflowId, String documentName)` use to notify a document workflow owner that someone has viewed a document involved in a worflow he created
`boolean` | `notifyFolderAddedUser(String userIdToNotify, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder, String newAddedUserId)` use to notify a user that a new user was added in on of his workspace shared folder
`boolean` | `notifyFolderRemovedUser(String userIdToNotify, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder, String removedUserId)` use to notify a user that an existing user was removed from one of his workspace shared folder
`boolean` | `notifyFolderSharing(String userIdToNotify, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder)` use to notify a user he got a workspace folder shared
`boolean` | `notifyJobStatus(String userIdToNotify, org.gcube.portal.databook.shared.ApplicationProfile executingJobApId, org.gcube.portal.databook.shared.RunningJob job)` use to notify a user he got one of his job finished
`boolean` | `notifyLikedFeed(String userIdToNotify, String feedid, String feedText)` use to notify a user he got one of his post liked
`boolean` | `notifyMessageReceived(String userIdToNotify, String subject)`
`boolean` | `notifyOwnCommentReply(String userIdToNotify, String feedid, String feedText)` use to notify a user that someone commented on his post
`boolean` | `notifyRemovedItem(String userIdToNotify, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceItem item, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder)` use to notify a user he got a workspace item deleted from one of his workspace shared folder
`boolean` | `notifyUpdatedItem(String userIdToNotify, org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceItem item)` use to notify a user he got a workspace item updated from one of his workspace shared folder

Method Detail

### notifyFolderSharing

    boolean notifyFolderSharing(String userIdToNotify,
                                org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder)
                                throws Exception

  use to notify a user he got a workspace folder shared

  Parameters:
    `userIdToNotify` - the user you want to notify
    `sharedFolder` - the shared `WorkspaceFolder`
  Returns:
    true if the notification is correctly delivered, false otherwise
  Throws:
    `Exception`

### notifyFolderAddedUser

    boolean notifyFolderAddedUser(String userIdToNotify,
                                  org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder,
                                  String newAddedUserId)
                                  throws Exception

  use to notify a user that a new user was added in on of his workspace shared folder

  Parameters:
    `userIdToNotify` - the user you want to notify
    `sharedFolder` - the shared `WorkspaceFolder`
    `newAddedUserId` - the new user that was added
  Returns:
    true if the notification is correctly delivered, false otherwise
  Throws:
    `Exception`

### notifyFolderRemovedUser

    boolean notifyFolderRemovedUser(String userIdToNotify,
                                    org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder,
                                    String removedUserId)
                                    throws Exception

  use to notify a user that an existing user was removed from one of his workspace shared folder

  Parameters:
    `userIdToNotify` - the user you want to notify
    `sharedFolder` - the shared `WorkspaceFolder`
    `removedUserId` - the new user that was removed
  Returns:
    true if the notification is correctly delivered, false otherwise
  Throws:
    `Exception`

### notifyAddedItem

    boolean notifyAddedItem(String userIdToNotify,
                            org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceItem item,
                            org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder)
                            throws Exception

  use to notify a user he got a workspace item new in some of his workspace shared folder

  Parameters:
    `userIdToNotify` - the user you want to notify
    `newItem` - the new shared `WorkspaceItem`
    `sharedFolder` - the shared folder `WorkspaceFolder`
  Returns:
    true if the notification is correctly delivered, false otherwise
  Throws:
    `Exception`

### notifyRemovedItem

    boolean notifyRemovedItem(String userIdToNotify,
                              org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceItem item,
                              org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceFolder sharedFolder)
                              throws Exception

  use to notify a user he got a workspace item deleted from one of his workspace shared folder

  Parameters:
    `userIdToNotify` - the user you want to notify
    `removedItem` - the removed `WorkspaceItem`
    `sharedFolder` - the shared folder `WorkspaceFolder`
  Returns:
    true if the notification is correctly delivered, false otherwise
  Throws:
    `Exception`

### notifyUpdatedItem

    boolean notifyUpdatedItem(String userIdToNotify,
                              org.gcube.portlets.user.homelibrary.home.workspace.WorkspaceItem item)
                              throws Exception

  use to notify a user he got a workspace item updated from one of his workspace shared folder

  Parameters:
    `userIdToNotify` - the user you want to notify
    `updatedItem` - the updated shared `WorkspaceItem`
  Returns:
    true if the notification is correctly delivered, false otherwise
  Throws:
    `Exception`

### notifyMessageReceived

    boolean notifyMessageReceived(String userIdToNotify,
                                  String subject)

  Parameters:
    `userIdToNotify` - the user you want to notify
    `subject` - the subject of the message sent
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyOwnCommentReply

    boolean notifyOwnCommentReply(String userIdToNotify,
                                  String feedid,
                                  String feedText)

  use to notify a user that someone commented on his post

  Parameters:
    `userIdToNotify` - the user you want to notify
    `feedid` - the liked feedid
    `feedText` - the liked feed text or a portion of it
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyCommentReply

    boolean notifyCommentReply(String userIdToNotify,
                               String feedid,
                               String feedText)

  use to notify a user that commented on a post (Not his) that someone commented too

  Parameters:
    `userIdToNotify` - the user you want to notify
    `feedid` - the liked feedid
    `feedText` - the liked feed text or a portion of it
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyLikedFeed

    boolean notifyLikedFeed(String userIdToNotify,
                            String feedid,
                            String feedText)

  use to notify a user he got one of his post liked

  Parameters:
    `userIdToNotify` - the user you want to notify
    `feedid` - the liked feedid
    `feedText` - the liked feed text or a portion of it
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyJobStatus

    boolean notifyJobStatus(String userIdToNotify,
                            org.gcube.portal.databook.shared.ApplicationProfile executingJobApId,
                            org.gcube.portal.databook.shared.RunningJob job)

  use to notify a user he got one of his job finished

  Parameters:
    `userIdToNotify` - the user you want to notify
    `executingApp` - the `ApplicationProfile` of the application from which the job was executed/lauched
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyDocumentWorkflowView

    boolean notifyDocumentWorkflowView(String userIdToNotify,
                                       String documentWorkflowId,
                                       String documentName)

  use to notify a document workflow owner that someone has viewed a document involved in a worflow he created

  Parameters:
    `userIdToNotify` - the user you want to notify
    `documentName` - the document title
    `documentid` - the id of the document workflow
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyDocumentWorkflowUpdate

    boolean notifyDocumentWorkflowUpdate(String userIdToNotify,
                                         String documentWorkflowId,
                                         String documentName)

  use to notify a document workflow owner that someone has updated a document involved in a worflow he created

  Parameters:
    `userIdToNotify` - the user you want to notify
    `documentName` - the document title
    `documentid` - the id of the document workflow
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyDocumentWorkflowTaskRequest

    boolean notifyDocumentWorkflowTaskRequest(String userIdToNotify,
                                              String documentWorkflowId,
                                              String documentName,
                                              String assignedRole)

  use to notify a document workflow user (user that in the same document workflow) that he is requested to do a task

  Parameters:
    `userIdToNotify` - the user you want to notify
    `documentName` - the document title
    `documentid` - the id of the document workflow
    `isStartStep` - set to true is the document worflow was just created
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyDocumentWorkflowFirstStepRequest

    boolean notifyDocumentWorkflowFirstStepRequest(String userIdToNotify,
                                                   String documentWorkflowId,
                                                   String documentName,
                                                   String assignedRole)

  use to notify a document workflow user that a new Document Workflow was created and he is involved in the first step and he is requested to do a task

  Parameters:
    `userIdToNotify` - the user you want to notify
    `documentName` - the document title
    `documentid` - the id of the document workflow
    `isStartStep` - set to true is the document worflow was just created
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyDocumentWorkflowUserForward

    boolean notifyDocumentWorkflowUserForward(String userIdToNotify,
                                              String documentWorkflowId,
                                              String documentName,
                                              String fromStepName,
                                              String toStepName)

  use to notify a document workflow owner that a user performed a forward action to another step a document worflow he created

  Parameters:
    `userIdToNotify` - the owner of this document workflow
    `documentWorkflowId` -
    `documentName` -
    `fromStepName` - the name of the step from which the user performed the forward
    `toStepName` - the name of the step to which the user performed the forward
  Returns:
    true if the notification is correctly delivered, false otherwise

### notifyDocumentWorkflowStepForwardComplete

    boolean notifyDocumentWorkflowStepForwardComplete(String userIdToNotify,
                                                      String documentWorkflowId,
                                                      String documentName,
                                                      String fromStepName,
                                                      String toStepName)

  use to notify a document workflow owner that someone forwarded and the workflow moved to another step a document worflow he created

  Parameters:
    `userIdToNotify` - the owner of this document workflow
    `documentWorkflowId` -
    `documentName` -
    `fromStepName` - the name of the step from which the user performed the forward
    `toStepName` - the name of the step to which the user performed the forward
  Returns:
    true if the notification is correctly delivered, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.